Bug 1418020 - Engine should block detach of domain that isn't on maintenance status
Summary: Engine should block detach of domain that isn't on maintenance status
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Allon Mureinik
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1394687
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:52 UTC by Liron Aravot
Modified: 2017-12-20 11:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Detaching a domain from a Data Center was possible when the domain was not in Maintenance mode, meaning that some hosts in the Data Center may still have been accessing it. Consequence: I/O errors and general instability of the system Fix: Block the option to detach a domain that isn't in maintenance. Result: Domains can only be detached from their Data Center if they are in maintenance. In order to detach a faulty domain from a Data Center, first move it to maintenance mode, and then detach it.
Clone Of: 1394687
Environment:
Last Closed: 2017-12-20 11:02:01 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71396 master MERGED vdsbroker: Move storageDomainMonitoredStatus to common 2017-04-26 14:07:10 UTC
oVirt gerrit 71397 master MERGED core: Allow to deactivate an Inactive domain 2017-04-26 14:07:06 UTC
oVirt gerrit 71398 master MERGED core: Detach/Remove SD - allowed domain status 2017-05-17 12:47:40 UTC
oVirt gerrit 71399 master MERGED core: RemoveStoragePool - allowed domain statuses 2017-05-17 12:47:45 UTC

Comment 1 Allon Mureinik 2017-05-18 15:24:48 UTC
Liron - this fix changes a publicly visible behavior. Could you add some doctext to explain it?

Comment 2 Kevin Alon Goldblatt 2017-07-04 13:39:26 UTC
Verified with the following code:
------------------------------------
ovirt-engine-4.2.0-0.0.master.20170621095718.git8901d14.el7.centos.noarch
vdsm-4.20.1-66.git228c7be.el7.centos.x86_64


Verified with the following scenario:
-------------------------------------
Steps to Reproduce:
1. Create and ISO SD
2. Stop the nfs server
3. Wait for a while
4. Start the nfs server
5. Click detach on the ISO domain

The domain is cannot be detached as it is not in maintenance mode


Moving to verified

Comment 3 Red Hat Bugzilla Rules Engine 2017-11-21 09:13:12 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 4 Red Hat Bugzilla Rules Engine 2017-11-22 09:53:00 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 5 Red Hat Bugzilla Rules Engine 2017-11-22 09:54:18 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 6 Sandro Bonazzola 2017-12-20 11:02:01 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.